Developers
V1MeAppointments

Request a clinic appointment

POST
/v1/me/appointments
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/me/appointments" \  -H "Content-Type: application/json" \  -d '{    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",    "contactName": "string",    "contactMethod": "email",    "contactValue": "string",    "preferredDate": "2019-08-24",    "timeWindow": "morning",    "shareContact": true,    "consentVersion": "2026-09-28-appointments"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",  "clinicName": "string",  "outletId": "414ee52f-b8bb-444c-8e1a-824bf463e887",  "outletName": "string",  "serviceId": "8f8bb40f-b96b-40fe-9064-5031fbe483f9",  "serviceName": "string",  "contactName": "string",  "contactMethod": "email",  "contactValue": "string",  "preferredDate": "2019-08-24",  "timeWindow": "morning",  "status": "pending",  "version": 1,  "createdAt": "2019-08-24T14:15:22Z",  "startsAt": "2019-08-24T14:15:22Z",  "declineReason": "unavailable",  "history": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "action": "requested",      "actor": "member",      "reason": "unavailable",      "startsAt": "2019-08-24T14:15:22Z",      "at": "2019-08-24T14:15:22Z"    }  ]}